package john111898.ld29.control;

import java.awt.event.KeyEvent;

import john111898.ld29.Game;

public class ControlsManager {
	static int[] keys = new int[] {KeyEvent.VK_LEFT, KeyEvent.VK_RIGHT, KeyEvent.VK_UP, KeyEvent.VK_DOWN, KeyEvent.VK_R, KeyEvent.VK_A, KeyEvent.VK_D, KeyEvent.VK_W, KeyEvent.VK_S};
	
	public static void keyPressed(int keyCode) {
		if (keyCode == keys[0] || keyCode == keys[5]) {
			Game.player.setHorizontalVelocityNegative(Game.player.getHorizontalVelocityNegative() + 1.5);
			Game.player.updateX();
		}
		else {
			if (keyCode == keys[1] || keyCode == keys[6]) {
				Game.player.setHorizontalVelocityPositive(Game.player.getHorizontalVelocityPositive() + 1.5);
				Game.player.updateX();
			}
			else {
				if (keyCode == keys[2] || keyCode == keys[7]) {
					if (!(Game.checkPlayerJump())) {
						Game.player.setVerticalVelocity(Game.player.getVerticalVelocity() + 5.0);
						Game.player.updateHeight();
					}
				}
				else {
					if (keyCode == keys[3] || keyCode == keys[8]) {
						Game.player.setVerticalVelocity(Game.player.getVerticalVelocity() - 2.5);
						Game.player.updateHeight();
					}
					else {
						if (keyCode == keys[4]) {
							Game.restartLevel();
						}
					}
				}
			}
		}
	}
	
	public static void keyReleased(int keyCode) {
		
	}
	
	public static void keyTyped(int keyCode) {
		
	}
	
	public static void mouseClicked(int x, int y, boolean leftClick) {
		Game.passMouseClickToCurrentLevel(x, y, leftClick);
	}
	
	public static void mouseMoved(int x, int y, boolean dragged) {
		
	}
}