package john111898.ld29.world;

import java.awt.image.BufferedImage;

import john111898.ld29.Game;
import john111898.ld29.render.Renderable;

public class ClickableButton extends GameObject implements Renderable {
	static BufferedImage image0 = Game.images[3];
	static BufferedImage image1 = Game.images[5];
	int imageNumber = 0;
	
	public ClickableButton(int x, int y) {
		super(x, y, image0, false);
		
		x2 = x + image.getWidth();
		y2 = y + image.getHeight();
		logicX = x;
	}
	
	public void click() {
		switchImage();
	}
	
	@Override
	public BufferedImage getImage() {
		if (imageNumber == 0) {
			return image0;
		}
		return image1;
	}
	
	public void switchImage() {
		if (imageNumber == 0) {
			imageNumber = 1;
		}
		else {
			imageNumber = 0;
		}
	}
}