package john111898.ld29.world;

import john111898.ld29.Game;

public class ClickableButtonDropBox7 extends ClickableButton {
	int maxDrops = 0;
	int drops = 0;
	boolean switched = false;
	
	public ClickableButtonDropBox7(int x, int y, int maxDrops) {
		super(x, y);
		this.maxDrops = maxDrops;
	}
	
	@Override
	public void click() {
		switchImage();
		switched = !switched;
		if ((drops < maxDrops && switched) || (maxDrops == 0 && switched)) {
			GameObject box = new GameObject(this.logicX - 8, y + 40, Game.images[4], false);
			box.setAffectedByGravity(true);
			drops++;
			Game.currentLevel.addRenderable(box);
		}
	}
}