package john111898.ld29.world;

import john111898.ld29.Game;

public class ClickableButtonDropVacuum extends ClickableButton {
	int maxDrops = 0;
	int drops = 0;
	boolean switched = false;
	
	public ClickableButtonDropVacuum(int x, int y, int maxDrops) {
		super(x, y);
		this.maxDrops = maxDrops;
	}
	
	@Override
	public void click() {
		switchImage();
		switched = !switched;
		if ((drops < maxDrops && switched) || (maxDrops == 0 && switched)) {
			GameObject box = new Vacuum(this.logicX + 20, y, Game.images[15], Vacuum.DIRECTION_UP, true);
			box.setAffectedByGravity(true);
			drops++;
			Game.currentLevel.addRenderable(box);
		}
	}
}