package john111898.ld29.world;

import java.awt.image.BufferedImage;

import john111898.ld29.Game;
import john111898.ld29.render.Renderable;

public class Ground implements Renderable {
	int groundHeight;
	BufferedImage image;
	
	int adjustedX = 0;
	
	boolean pitIsOpen = false;
	int pitX = 0;
	
	public Ground(int groundHeight, BufferedImage image, int pitX) {
		this.groundHeight = groundHeight;
		this.image = image;
		this.pitX = pitX;
	}
	
	public void setGroundHeight(int groundHeight) {
		this.groundHeight = groundHeight;
	}
	
	public int getGroundHeight() {
		return groundHeight;
	}

	@Override
	public int getX() {
		return adjustedX;
	}

	@Override
	public int getY() {
		return Game.HEIGHT - groundHeight;
	}

	@Override
	public BufferedImage getImage() {
		return image;
	}
	
	public void setAdjustedX(int x) {
		adjustedX = x;
	}
	
	public int getPitX() {
		return pitX;
	}
	
	public boolean isPitOpen() {
		return pitIsOpen;
	}
	
	public void setPitOpen(boolean open) {
		pitIsOpen = open;
	}
}