package john111898.ld29.world;

import java.awt.image.BufferedImage;
import java.util.ArrayList;

import john111898.ld29.Game;

public class ObjectCounter6 extends ObjectCounter {
	public ObjectCounter6(int x, int y, BufferedImage image, int numNeeded) {
		super(x, y, image, numNeeded);
	}
	
	@Override
	public void countObjects() {
		count = 0;
		ArrayList<GameObject> gameObjects = Game.currentLevel.getGameObjects();
		for (GameObject e : gameObjects) {
			if (((e.x >= this.x && e.x2 <= this.x2) || (e.x < this.x && e.x2 > this.x) || (e.x < this.x2 && e.x > this.x)) && e.getY() < getY() && !(e instanceof WorldBlock || e instanceof ClickableButton)) {
				count++;
			}
		}
	}
}