package john111898.ld29.world;

import java.awt.image.BufferedImage;
import java.util.ArrayList;

import john111898.ld29.Game;

public class ObjectCounter7 extends ObjectCounter {
	public int instance;
	public int count;
	public int numNeeded;
	
	boolean wasActivated = false;
	
	public ObjectCounter7(int x, int y, BufferedImage image, int numNeeded, int instance) {
		super(x, y, image, numNeeded);
		this.instance = instance;
	}
	
	@Override
	public BufferedImage getImage() {
		this.count = super.count;
		this.numNeeded = super.numNeeded;
		if (hasNumNeeded()) {
			wasActivated = true;
			//Game.addSpecialTextToRender(x + 22, y + 20, Integer.toString(numNeeded - count), Color.GREEN);
			return Game.images[10];
		}
		//Game.addSpecialTextToRender(x + 22, y + 20, Integer.toString(numNeeded - count), Color.RED);
		return Game.images[9];
	}
	
	@Override
	public void countObjects() {
		super.count = 0;
		ArrayList<GameObject> gameObjects = Game.currentLevel.getGameObjects();
		for (GameObject e : gameObjects) {
			if (((e.x > this.x && e.x2 < this.x2) || (e.x < this.x && e.x2 > this.x) || (e.x < this.x2 && e.x > this.x)) && !(e instanceof ClickableButton)) {
				super.count++;
			}
		}
	}
	
	public boolean wasActivated() {
		return wasActivated;
	}
}