package john111898.ld29.level;

import john111898.ld29.Game;
import john111898.ld29.world.ObjectCounter;

public class LevelOne extends Level {
	boolean soundPlayed = false;

	public LevelOne() {
		super(1, 0);
	}
	
	@Override
	public void checkForPitOpen() {
		ObjectCounter oc = null;
		for (int i = 0; i < renderables.size(); i++) {
			if (renderables.get(i) instanceof ObjectCounter) {
				oc = (ObjectCounter) renderables.get(i);
			}
		}
		if (oc != null) {
			oc.countObjects();
			if (oc.hasNumNeeded()) {
				Game.levelGround.setPitOpen(true);
				if (!soundPlayed) {
					soundPlayed = true;
					Game.playSound(0);
				}
			}
		}
	}
}